Bug 1420681 - Undertow metrics processing-time, processing-time-per-minute and max-processing time do not show "unit" in the graph
Summary: Undertow metrics processing-time, processing-time-per-minute and max-processi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7
Version: JON 3.3.6,JON 3.3.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER02
: One-off release
Assignee: Ruben Vargas Palma
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On: 1420682
Blocks: 1327633
TreeView+ depends on / blocked
 
Reported: 2017-02-09 10:03 UTC by bkramer
Modified: 2020-03-11 15:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-13 15:17:46 UTC
Type: Bug


Attachments (Terms of Use)
attached processing-time-per-minute.png screen shot (120.21 KB, image/png)
2017-02-09 10:03 UTC, bkramer
no flags Details
standalone fail ns instead of ms (170.39 KB, image/png)
2017-03-27 12:05 UTC, Filip Brychta
no flags Details
domain fail no units (165.69 KB, image/png)
2017-03-27 12:06 UTC, Filip Brychta
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1417868 0 urgent CLOSED Missing "per minute" web-metrics for EAP 7 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1447965 0 medium CLOSED Undertow metrics processing-time, processing-time-per-minute and max-processing time do not scale units in charts 2021-02-22 00:41:40 UTC
Red Hat Knowledge Base (Solution) 2916761 0 None None None 2017-06-21 21:40:28 UTC

Internal Links: 1417868 1447965

Description bkramer 2017-02-09 10:03:54 UTC
Created attachment 1248768 [details]
attached processing-time-per-minute.png screen shot

Description of problem:
Undertow metrics "Processing Time", "Processing Time per Minute" and "Max Processing Time" do not have units defined in the graph. According to the EAP code, "Processing Time" and "Max Processing Time" are shown as nano seconds. However, metric graphs in our UI do not show unit on the Y axis and collected numbers are huge - see attached processing-time-per-minute.png screen shot [1].

Additionally, it seems that we don't show units for all other metrics - see "Bytes Sent per Minute" graph on the same processin-time-per-minute.png screen shot.   

Version-Release number of selected component (if applicable):
JBoss ON 3.3.6, 3.3.7

How reproducible:
Always

Steps to Reproduce:
1. Install JBoss ON;
2. Start and import EAP 7 server into JBoss ON inventory;
3. Enable statistics on the EAP 7 server by executing:

    /subsystem=undertow:write-attribute(name="statistics-enabled",value=true)

4. Enable processing-time collection by setting "record-request-start-time" to true:

    /subsystem=undertow/server=default-server/http-listener=default:write-attribute(name="record-request-start-time",value=true)

5. Create requests/load on this http-listener


Actual results:
Huge numbers are shown in the "Processing Time per Minute" graph and without unit - for instance 49990188766.4934 

Expected results:
The value 49990188766.4934 - is shown as seconds and the graph shows correct unit.


Additional info:

Comment 1 Simeon Pinder 2017-03-09 17:27:37 UTC
Master commits:.

commit 3557efb21d88527a7f53a512021060dce68e9cc3
Merge: 616c609 9e53883
Author:     Michael Burman <yak@iki.fi>
AuthorDate: Thu Mar 9 10:33:49 2017 +0200
Commit:     GitHub <noreply@github.com>
CommitDate: Thu Mar 9 10:33:49 2017 +0200

    Merge pull request #299 from rubenvp8510/units-metrics
    
    Bug 1420681 Undertow metrics processing-time, processing-time-per-min…


commit 9e53883902f530541de9172bf020eb983bd15791
Author:     Ruben Vargas <ruben.vp8510@gmail.com>
AuthorDate: Tue Mar 7 10:44:53 2017 -0600
Commit:     Ruben Vargas <ruben.vp8510@gmail.com>
CommitDate: Tue Mar 7 12:07:50 2017 -0600

    Bug 1420681-Undertow metrics processing-time, processing-time-per-minute and max-processing time units.

Comment 2 Josejulio Martínez 2017-03-09 18:39:55 UTC
Moving to POST as the commits are already on master.

Comment 6 Filip Brychta 2017-03-27 12:05:44 UTC
Created attachment 1266609 [details]
standalone fail ns instead of ms

Comment 7 Filip Brychta 2017-03-27 12:06:19 UTC
Created attachment 1266610 [details]
domain fail no units

Comment 11 Ruben Vargas Palma 2017-04-25 15:49:06 UTC
commit 4abf66c0ccb02363fcc110d43fb65a214b4df159
Merge: bae0835 69e382f
Author: Michael Burman <yak@iki.fi>
Date:   Tue Apr 25 12:41:15 2017 +0300

    Merge pull request #304 from rubenvp8510/BZ1420681-2
    
    BZ-1420681 Undertow metrics doesn't show units in domain mode.

commit 69e382f3c59a175c595cb3d15a58810d926cc12d
Author: Ruben Vargas <ruben.vp8510@gmail.com>
Date:   Mon Apr 24 12:40:57 2017 -0500

    BZ-1420681 Undertow metrics doesn't show units on domain mode.

Comment 13 Simeon Pinder 2017-04-28 10:06:39 UTC
Moving to ON_QA for verification.

Where:
http://download.eng.bos.redhat.com/brewroot/packages/org.jboss.on-jboss-on-parent/3.3.0.GA/126/maven/org/jboss/on/jon-plugins-patch/3.3.0.GA/jon-plugins-patch-3.3.0.GA.zip

* NOTE: Unlike previous releases where the test binary was attached, this artifact is hosted in brew[1], where the jon-plugins-patch-3.3.0.GA.zip file IS the ER02 build of JON 3.3 EAP plugin pack update 04 and as such will be renamed to jon-plugin-pack-eap-3.3.0.GA-update-05.zip at publication time(unless replaced by a newer build).

[1]https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=554191


Note You need to log in before you can comment on or make changes to this bug.